<div class="container">
  <div class="row">
    <div class="col"></div>
    <div class="keypad shadow-lg border border-light bg-secondary">
      <h1 class="display-4 mt-2 font-weight-lighter text-center mb-1" i18n="@@cd.lockScreen.locked">PoS locked</h1>
      <hr class="my-0 w-100">
      <div class="text-danger text-center error-message">
        <ng-container *ngIf="error === 'client'" i18n="@@cd.lockScreen.clientError">PIN or <a routerLink="/configuration">configured user</a> wrong!</ng-container>
      </div>
      <div class="text-danger text-center error-message">
        <ng-container *ngIf="error === 'server'" i18n="@@cd.lockScreen.serverError">Server is not reachable!</ng-container>
      </div>
      <div class="d-flex flex-row w-100 px-4 justify-content-around" [ngClass]="{'error': errorPinHighlight}">
        <span class="pin-place-empty">{{pin.charAt(0) ? '*' : '&nbsp;'}}</span>
        <span class="pin-place-empty">{{pin.charAt(1) ? '*' : '&nbsp;'}}</span>
        <span class="pin-place-empty">{{pin.charAt(2) ? '*' : '&nbsp;'}}</span>
        <span class="pin-place-empty">{{pin.charAt(3) ? '*' : '&nbsp;'}}</span>
        <span class="pin-place-empty">{{pin.charAt(4) ? '*' : '&nbsp;'}}</span>
        <span class="pin-place-empty">{{pin.charAt(5) ? '*' : '&nbsp;'}}</span>
      </div>
      <hr class="w-100">
      <div class="d-flex flex-column align-items-center flex-fill justify-content-between flex-grow-1">
        <div class="d-flex w-75 flex-row flex-fill justify-content-around">
          <button class="btn btn-outline-light btn-lg pin-key" (click)="add('1')">1</button>
          <button class="btn btn-outline-light btn-lg pin-key" (click)="add('2')">2</button>
          <button class="btn btn-outline-light btn-lg pin-key" (click)="add('3')">3</button>
        </div>
        <div class="d-flex w-75 flex-row flex-fill justify-content-around">
          <button class="btn btn-outline-light btn-lg pin-key" (click)="add('4')">4</button>
          <button class="btn btn-outline-light btn-lg pin-key" (click)="add('5')">5</button>
          <button class="btn btn-outline-light btn-lg pin-key" (click)="add('6')">6</button>
        </div>
        <div class="d-flex w-75 flex-row flex-fill justify-content-around">
          <button class="btn btn-outline-light btn-lg pin-key" (click)="add('7')">7</button>
          <button class="btn btn-outline-light btn-lg pin-key" (click)="add('8')">8</button>
          <button class="btn btn-outline-light btn-lg pin-key" (click)="add('9')">9</button>
        </div>
        <div class="d-flex w-75 flex-row flex-fill justify-content-around">
          <button class="btn btn-outline-light btn-lg pin-key" (click)="backspace()">
            <fa-icon icon="backspace"></fa-icon>
          </button>
          <button class="btn btn-outline-light btn-lg pin-key" (click)="add('0')">0</button>
          <button class="btn btn-outline-light btn-lg pin-key" (click)="ok()">
            <fa-icon icon="check"></fa-icon>
          </button>
        </div>
      </div>
    </div>
    <div class="col"></div>
  </div>
</div>
